*////////////[ Copyright (c) 1989 by Richard W. Rahn ]///////////////*
*                                                                    *
* DEMO.PRG                                                           *
* Purpose : To demonstrate the UDF CONTINUE()                        *
*                                                                    *
*  To use you need to compile this demonstration program and link    *
*  it with the cont.obj file distributed with this demonstration.    *
*           (you need Clipper.lib and Extend.lib)                    *
*                                                                    *
*  i.e. CLIPPER demo                                                 *
*       PLINK86 FI demo,cont LIB clipper,extend                      *
*                                                                    *
*  You may order the source code for CONTINUE() by sending           *
*  $3.00 (U.S. currency) to:                                         *
*                                                                    *
*                   RWR Data Solutions, Inc.                         *
*                   551 Roosevelt Rd. Ste. #151                      *
*                   Glen Ellyn Il 60137                              *
*                                                                    *
* ///////////////////////////////////////////////////////////////////*

  set message to 11 center
  set wrap on
  demo_color = 'w+/r'

* Initial message
****************************************************************
  set color to gr+/n
  clear

  text

     CONTINUE()


     This is a demonstration of the CONTINUE() udf. It is a simple
     routine that prompts the user to confirm an action. You pass
     to CONTINUE() the color for the prompt display and a message
     to use as the prompt. CONTINUE() will do the rest...

     CONTINUE() will display your message and allow the user to
     select to 'CONTINUE' or 'ABORT'.  A .T. will be returned if the
     user wishes to continue with the next operation or .F. if not.

     Sample usage : If CONTINUE('w+/r','Ready to print report')
                         do report
                    endif


     Press any key for working demonstration...

  endtext
  inkey(0)


* Working demo
********************************************************************
  set color to n+/bg
  clear
  @  0,19 say 'A B C   C O M P A N Y    M A I N    M E N U'
  @ 24,21 say 'Use ' + chr(24) + ',' + chr(25) + ' to hilite option, Enter to select.'
  @ 3,30 to 9,48

  set color to gr+/bg


do whil .T.

   @ 4,36  prompt 'A)dd   ' mess 'Add a new record'
   @ 5,36  prompt 'E)dit  ' mess 'Edit current record'
   @ 6,36  prompt 'D)elete' mess 'Delete current record'
   @ 8,36  prompt 'Q)uit  ' mess 'Quit demonstration and return to DOS'
   menu to demo

   do case
      case demo == 1
          if continue(demo_color,'Ready to enter ADD mode')
                ?? chr(07)
                @ 15,26 say 'ENTERED ADD MODE. Any key...'
                inkey(0)
                @ 15,26 clear to 15,79
          endif

      case demo == 2
          if continue(demo_color,'Ready to enter EDIT mode')
                ?? chr(07)
                @ 15,26 say 'ENTERED EDIT MODE. Any key...'
                inkey(0)
                @ 15,26 clear to 15,79
          endif

      case demo == 3
          if continue(demo_color,'Ready to enter DELETE mode')
                ?? chr(07)
                @ 15,26 say 'ENTERED DELETE MODE. Any key...'
                inkey(0)
                @ 15,26 clear to 15,79
          endif

      case demo == 4
          set color to
          clear
          exit

   endcase


enddo


* Parting message
************************************************************************
  text


    You may receive your complete copy of the source code for CONTINUE(),
    'A Clipper user Query Routine' by sending $3.00 (U.S. currency) to:

                         RWR Data Solutions, Inc.
                         551 Roosevelt Rd. Ste. #151
                         Glen Ellyn, IL 60137

                  Comments and suggestions welcome !


  endtext

*** END OF DEMO.PRG
